<?php
/******************************************************************************/
/* AEL Sarl : Web hosting, datacenter, gestion et comptabilité déportées      */
/* Copyright (C) 2008 Affaires En Ligne S.A.R.L.                              */
/* Contact : contact@affaires-en-ligne.fr                                     */
/* Web : http://www.spidboutic.fr                                             */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

/*
 * Created on 17 sept. 07 by AEL Sarl for
 * 
 * osCommerce, Open Source E-Commerce Solutions
 * http://www.oscommerce.com
 *
 * Copyright (c) 2003 osCommerce
 *
 * Released under the GNU General Public License
 * 
 */
 
/**
 * Prepare an image: encode the image in a base64 string
 * @param	string	$image_name	a basename image file name
 * @return	array	a prepared image as an array of:
 *                          array[0] is image name
 *                          array[1] is image content as Base64 string
 *                          array[2] is image size
 *                  or returns null if the file cannot be found  
 */
function prepare_image($image_name) {
	if (tep_not_null($image_name)) {
		$image_path = DIR_FS_CATALOG . DIR_WS_IMAGES . $image_name;
		$fp = fopen($image_path, 'rb');
		$img_size = filesize($image_path);
		$img = fread($fp, $img_size);
		fclose($fp);
		$encoded_img = base64_encode($img);
		
		return array(substr(strrchr($image_path, "/"), 1),
		             $encoded_img,
		             $img_size);
	}
	return null;
}
?>
